Package com.sun.jna.platform.unix.aix

## Class Perfstat.perfstat_protocol_t

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.aix.Perfstat.perfstat_protocol_t

Enclosing interface:
  Perfstat

    @FieldOrder({"name","u","version"})
    public static class Perfstat.perfstat_protocol_t
    extends Structure

### Nested Class Summary

Nested Classes
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructICMP`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructICMPv6`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructIP`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructIPv6`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructNFS`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructNFSclient`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructNFSserver`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructNFSv2`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructNFSv2client`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructNFSv2server`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructNFSv3`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructNFSv3client`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructNFSv3server`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructNFSv4`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructNFSv4client`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructNFSv4server`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructRPC`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructRPCclient`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructRPCclientdgram`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructRPCclientstream`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructRPCserver`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructRPCserverdgram`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructRPCserverstream`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructTCP`
`static class` `Perfstat.perfstat_protocol_t.AnonymousStructUDP`
`static class` `Perfstat.perfstat_protocol_t.AnonymousUnionPayload`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`byte[]` `name`
`Perfstat.perfstat_protocol_t.AnonymousUnionPayload` `u`
`long` `version`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`perfstat_protocol_t()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `read()` Reads the fields of the struct from native memory

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public byte[] name

#### u

    public Perfstat.perfstat_protocol_t.AnonymousUnionPayload u

#### version

    public long version

### Constructor Detail

#### perfstat_protocol_t

    public perfstat_protocol_t()

### Method Detail

#### read

    public void read()

Description copied from class: `Structure`
Reads the fields of the struct from native memory

Overrides:
  `read` in class `Structure`